GNU bug report logs - #53080
[PATCH 6/41] gnu: rust-rbw: adding rust-subtle-2.4

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Nicolas Graves <ngraves@HIDDEN>; Keywords: patch; merged with #53075, #53076, #53077, #53078, #53079, #53081, #53082, #53083, #53084, #53085, #53086, #53087, #53088, #53089, #53090, #53091, #53092, #53093, #53094, #53095, #53096, #53097, #53098, #53099, #53100, #53101, #53102, #53103, #53104, #53105, #53106, #53107, #53108, #53109, #53110, #53111, #53112, #53113, #53114, #53115, #53116, #53117; dated Fri, 7 Jan 2022 13:59:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 53075 53076 53077 53078 53079 53080 53081 53082 53083 53084 53085 53086 53087 53088 53089 53090 53091 53092 53093 53094 53095 53096 53097 53098 53099 53100 53101 53102 53103 53104 53105 53106 53107 53108 53109 53110 53111 53112 53113 53114 53115 53116 53117. Request was from Maxime Devos <maximedevos@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Jan 2022 13:58:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 07 08:58:44 2022
Received: from localhost ([127.0.0.1]:43403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n5plU-0005YG-91
	for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 08:58:44 -0500
Received: from lists.gnu.org ([209.51.188.17]:50444)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ngraves@HIDDEN>) id 1n5plS-0005Y6-Ee
 for submit <at> debbugs.gnu.org; Fri, 07 Jan 2022 08:58:42 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53744)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5plS-0006Nm-7X
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 08:58:42 -0500
Received: from 2.mo581.mail-out.ovh.net ([87.98.143.68]:46793)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ngraves@HIDDEN>)
 id 1n5plP-0007yd-MJ
 for guix-patches@HIDDEN; Fri, 07 Jan 2022 08:58:41 -0500
Received: from player786.ha.ovh.net (unknown [10.109.156.39])
 by mo581.mail-out.ovh.net (Postfix) with ESMTP id 77B5321A81
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 13:58:37 +0000 (UTC)
Received: from ngraves.fr (201.238.0.109.rev.sfr.net [109.0.238.201])
 (Authenticated sender: ngraves@HIDDEN)
 by player786.ha.ovh.net (Postfix) with ESMTPSA id 053AA26414379
 for <guix-patches@HIDDEN>; Fri,  7 Jan 2022 13:58:36 +0000 (UTC)
Authentication-Results: garm.ovh; auth=pass
 (GARM-98R002ff7828a4-75b4-4fb3-8ed6-4d0e59555839,
 78F9E01C6010B6AFE31BE3CCEA90A961B2BEDC33) smtp.auth=ngraves@HIDDEN
X-OVh-ClientIp: 109.0.238.201
User-agent: mu4e 1.6.10; emacs 28.0.50
From: Nicolas Graves <ngraves@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 6/41] gnu: rust-rbw: adding rust-subtle-2.4
Date: Fri, 07 Jan 2022 14:57:44 +0100
Message-ID: <87k0fbr6k5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0007-rust-rbw-dependencies-adding-rust-subtle-2.4.patch
Content-Description: rust-rbw-dependencies-adding-rust-subtle-2.4
X-Ovh-Tracer-Id: 5119748353800397562
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 49
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedvuddrudegvddgfeehucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuqfggjfdpvefjgfevmfevgfenuceurghilhhouhhtmecuhedttdenucgoufhushhpvggtthffohhmrghinhculdegledmnecujfgurhepfgfhvffufffkgggtugesredtredttdertdenucfhrhhomheppfhitgholhgrshcuifhrrghvvghsuceonhhgrhgrvhgvshesnhhgrhgrvhgvshdrfhhrqeenucggtffrrghtthgvrhhnpeekffekgeevfedvtdffjefhteekueevkeetgffftdeiteeukeduhedttdfhheeuveenucffohhmrghinhepghhithhhuhgsrdgtohhmpdgurghlvghkrdhrshdpughotghsrdhrshenucfkpheptddrtddrtddrtddpuddtledrtddrvdefkedrvddtudenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphhouhhtpdhhvghlohepphhlrgihvghrjeekiedrhhgrrdhovhhhrdhnvghtpdhinhgvtheptddrtddrtddrtddpmhgrihhlfhhrohhmpehnghhrrghvvghssehnghhrrghvvghsrdhfrhdprhgtphhtthhopehguhhigidqphgrthgthhgvshesghhnuhdrohhrgh
Received-SPF: pass client-ip=87.98.143.68; envelope-from=ngraves@HIDDEN;
 helo=2.mo581.mail-out.ovh.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_NONE=-0.0001,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

From 6354c1e0184467f40033274914601457cc969878 Mon Sep 17 00:00:00 2001
From: Nicolas Graves <ngraves@HIDDEN>
Date: Fri, 7 Jan 2022 02:12:08 +0100
Subject: [PATCH 07/42] rust-rbw dependencies : adding rust-subtle-2.4

---
 gnu/packages/crates-io.scm | 43 ++++++++++++++++++++++++++------------
 1 file changed, 30 insertions(+), 13 deletions(-)

diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 61822ae431..0b21e290d7 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -1345,7 +1345,7 @@ (define-public rust-aes-gcm-0.6
         ("rust-aes" ,rust-aes-0.4)
         ("rust-block-cipher" ,rust-block-cipher-0.7)
         ("rust-ghash" ,rust-ghash-0.3)
-        ("rust-subtle" ,rust-subtle-2)
+        ("rust-subtle" ,rust-subtle-2.2)
         ("rust-zeroize" ,rust-zeroize-1.1))
        #:cargo-development-inputs
        (("rust-criterion" ,rust-criterion-0.3)
@@ -1379,7 +1379,7 @@ (define-public rust-aes-gcm-0.5
         ("rust-aes" ,rust-aes-0.3)
         ("rust-block-cipher-trait" ,rust-block-cipher-trait-0.6)
         ("rust-ghash" ,rust-ghash-0.2)
-        ("rust-subtle" ,rust-subtle-2)
+        ("rust-subtle" ,rust-subtle-2.2)
         ("rust-zeroize" ,rust-zeroize-1.1))))))
 
 (define-public rust-aes-soft-0.6
@@ -12841,7 +12841,7 @@ (define-public rust-crypto-mac-0.11
        (("rust-blobby" ,rust-blobby-0.3)
         ("rust-cipher" ,rust-cipher-0.3)
         ("rust-generic-array" ,rust-generic-array-0.14)
-        ("rust-subtle" ,rust-subtle-2))))
+        ("rust-subtle" ,rust-subtle-2.2))))
     (home-page "https://github.com/RustCrypto/traits")
     (synopsis "Trait for Message Authentication Code (MAC) algorithms")
     (description "This package provides trait for @dfn{Message Authentication
@@ -12867,7 +12867,7 @@ (define-public rust-crypto-mac-0.10
        (("rust-blobby" ,rust-blobby-0.3)
         ("rust-cipher" ,rust-cipher-0.2)
         ("rust-generic-array" ,rust-generic-array-0.14)
-        ("rust-subtle" ,rust-subtle-2))))))
+        ("rust-subtle" ,rust-subtle-2.2))))))
 
 (define-public rust-crypto-mac-0.8
   (package
@@ -12887,7 +12887,7 @@ (define-public rust-crypto-mac-0.8
      `(#:cargo-inputs
        (("rust-blobby" ,rust-blobby-0.1)
         ("rust-generic-array" ,rust-generic-array-0.14)
-        ("rust-subtle" ,rust-subtle-2))))))
+        ("rust-subtle" ,rust-subtle-2.2))))))
 
 (define-public rust-crypto-mac-0.7
   (package
@@ -13560,7 +13560,7 @@ (define-public rust-curve25519-dalek-3
          ("rust-packed-simd" ,rust-packed-simd-0.3)
          ("rust-rand-core" ,rust-rand-core-0.5)
          ("rust-serde" ,rust-serde-1)
-         ("rust-subtle" ,rust-subtle-2)
+         ("rust-subtle" ,rust-subtle-2.2)
          ("rust-zeroize" ,rust-zeroize-1.1))))
     (home-page "https://dalek.rs/curve25519-dalek")
     (synopsis "Group operations on ristretto255 and Curve25519")
@@ -16701,7 +16701,7 @@ (define-public rust-eax-0.3
          ("rust-cipher" ,rust-cipher-0.2)
          ("rust-cmac" ,rust-cmac-0.5)
          ("rust-ctr" ,rust-ctr-0.6)
-         ("rust-subtle" ,rust-subtle-2))))
+         ("rust-subtle" ,rust-subtle-2.2))))
     (home-page "https://docs.rs/eax/")
     (synopsis "Pure Rust implementation of the EAX Authenticated Encryption
 with Associated Data (AEAD)")
@@ -36926,7 +36926,7 @@ (define-public rust-pbkdf2-0.4
         ("rust-rand-core" ,rust-rand-core-0.5)
         ("rust-rayon" ,rust-rayon-1)
         ("rust-sha2" ,rust-sha2-0.9)
-        ("rust-subtle" ,rust-subtle-2))
+        ("rust-subtle" ,rust-subtle-2.2))
        #:cargo-development-inputs
        (("rust-hmac" ,rust-hmac-0.8)
         ("rust-sha-1" ,rust-sha-1-0.9)
@@ -47428,7 +47428,7 @@ (define-public rust-scrypt-0.3
         ("rust-rand" ,rust-rand-0.7)
         ("rust-rand-core" ,rust-rand-core-0.5)
         ("rust-sha2" ,rust-sha2-0.9)
-        ("rust-subtle" ,rust-subtle-2))))
+        ("rust-subtle" ,rust-subtle-2.2))))
     (home-page "https://github.com/RustCrypto/password-hashes")
     (synopsis "Scrypt password-based key derivation function")
     (description
@@ -53324,7 +53324,7 @@ (define-public rust-strum-macros-0.18
         ("rust-quote" ,rust-quote-1)
         ("rust-syn" ,rust-syn-1))))))
 
-(define-public rust-subtle-2
+(define-public rust-subtle-2.2
   (package
     (name "rust-subtle")
     (version "2.2.3")
@@ -53346,9 +53346,26 @@ (define-public rust-subtle-2
 cryptographic implementations.")
     (license license:bsd-3)))
 
+(define-public rust-subtle-2.4
+  (package
+    (inherit rust-subtle-2.2)
+    (name "rust-subtle")
+    (version "2.4.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "subtle" version))
+        (file-name
+         (string-append name "-" version ".tar.gz"))
+        (sha256
+         (base32
+          "00b6jzh9gzb0h9n25g06nqr90z3xzqppfhhb260s1hjhh4pg7pkb"))))
+    (arguments `(#:skip-build? #t))     ; FIXME rust-nightly
+    ))
+
 (define-public rust-subtle-1
   (package
-    (inherit rust-subtle-2)
+    (inherit rust-subtle-2.2)
     (name "rust-subtle")
     (version "1.0.0")
     (source
@@ -61486,7 +61503,7 @@ (define-public rust-universal-hash-0.4
     (arguments
      `(#:cargo-inputs
        (("rust-generic-array" ,rust-generic-array-0.14)
-        ("rust-subtle" ,rust-subtle-2))))
+        ("rust-subtle" ,rust-subtle-2.2))))
     (home-page "https://github.com/RustCrypto/traits")
     (synopsis "Trait for universal hash functions")
     (description "This package provides traits for universal hash functions.")
@@ -61508,7 +61525,7 @@ (define-public rust-universal-hash-0.3
      `(#:skip-build? #t
        #:cargo-inputs
        (("rust-generic-array" ,rust-generic-array-0.12)
-        ("rust-subtle" ,rust-subtle-2))))))
+        ("rust-subtle" ,rust-subtle-2.2))))))
 
 (define-public rust-unix-socket-0.5
   (package
-- 
2.34.0





Acknowledgement sent to Nicolas Graves <ngraves@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#53080; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 8 Jan 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.